Bug 854632 - user update does not allow you to change user password
user update does not allow you to change user password
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 40
Assigned To: Sayli Karmarkar
Preethi Thomas
: Triaged
Depends On:
Blocks: 848520 856711
  Show dependency treegraph
 
Reported: 2012-09-05 09:30 EDT by Preethi Thomas
Modified: 2015-03-22 21:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 856711 (view as bug list)
Environment:
Last Closed: 2013-01-09 12:05:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-09-05 09:30:50 EDT
Description of problem:
There is no way to change password for a user

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a user
2. Run user update to change the password
3.
  
Actual results:

[root@preethi-el6-pulp ~]# pulp-admin user update --login user1 --password redhat
Usage: pulp-admin [options]

Command: update
Description: changes metadata of an existing user

Available Arguments:

  --login - (required) identifies the user to be updated
  --name  - user-readable full name of the user
[root@preethi-el6-pulp ~]# pulp-admin user update --help
Command: update
Description: changes metadata of an existing user

Available Arguments:

  --login - (required) identifies the user to be updated
  --name  - user-readable full name of the user
[root@preethi-el6-pulp ~]# 

Expected results:


Additional info:
Comment 1 Sayli Karmarkar 2012-09-13 17:53:36 EDT
commit b2c04b0cd21242cba5bccc655b477dec8d7c792c
Author: Sayli Karmarkar <skarmark@redhat.com>
Date:   Thu Sep 13 14:47:11 2012 -0700

    854632 - added --password and -p options to user update command to update password in a non-interactive and interactive fashion respectively


$ pulp-admin user update --help
Command: update
Description: changes metadata of an existing user

Available Arguments:

  --login    - (required) identifies the user to be updated
  --name     - user-readable full name of the user
  --password - new password for the user, use -p if you want to be prompted for
               the password
  -p         - if specified, you will be prompted to enter new password for the
               user

$ pulp-admin user update --login sayli --password asdf1234
User [sayli] successfully updated

$ pulp-admin user update --login sayli --name sayli -p
Enter new password for user [sayli] : 
Re-enter new password for user [sayli]: 
User [sayli] successfully updated
Comment 2 Sayli Karmarkar 2012-09-13 17:55:26 EDT
Merged into master and pulp-cr-2 branches.
Comment 3 Jeff Ortel 2012-09-17 18:56:28 EDT
build: 2.0.4
Comment 4 Preethi Thomas 2012-09-26 13:49:16 EDT
[root@preethi-el6-pulp ~]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.5-1.el6.noarch
[root@preethi-el6-pulp ~]# 


[root@preethi-el6-pulp ~]# pulp-admin -u admin -p admin user update --login preethi --password test
User [preethi] successfully updated

[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# pulp-admin -u admin -p admin user update --login preethi -p
Enter new password for user [preethi] : 
Re-enter new password for user [preethi]: 
User [preethi] successfully updated

[root@preethi-el6-pulp ~]#
Comment 5 Jay Dobies 2013-01-03 15:03:05 EST
Moving these up against the 2.0 Beta so we can delete the CR-2 version from bugzilla.
Comment 6 Preethi Thomas 2013-01-09 12:05:36 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.